#include "vxp202.h"
#define VxP202_
#include "i2c.h"
#include <string.h>

int main() {
  int i,n;
  int d,m;
  int port,value;

  VxP_Initialize(0x500,0xC800,32);

  I2CInit();
  printf("Scanning for i2c devices\n");
  I2CScanDevices();
  printf("Found %d devices\n",I2CNDev());
  for (i=0;i<I2CNDev();i++)
    printf("  %2d at %02x\n",i+1,I2CDevice(i));

  /*  VxP_BASE=0x500;*/
  do {
    /*    VxP_Register(); */
    printf("port:\n");
    scanf("%02x",&port);
    printf("%02x ->\n",VxP_PortRead(port));
    scanf("%x",&value);
    if (value<=0xff) {
      VxP_PortWrite(port,value);
      printf("written: %02x\n",VxP_PortRead(port));
    } else
      printf("not written\n");
  } while (1);

  return 0;
}
