#ifndef LCDSHUTTER_
#define LCDSHUTTER_

#ifdef __cplusplus
  extern "C" {
#endif
#include <linux/sched.h>
#include <linux/errno.h>
#include <linux/major.h>
#include <linux/mm.h>
#include <asm/io.h>
#include <asm/segment.h>
#include <asm/system.h>
#include <linux/module.h>
#ifdef __cplusplus
  }
#endif

/*--- some important common definitions like major and maxminor device */

#ifndef VPROC_MAJOR
   #define VPROC_MAJOR  32   /* the default major device number */
#endif
#define VPROC_MAX       1   /* maximum number of supported
                               devices, increase this by one
                               each time you add a new device  */

#define CHIPVxP202      0
#define CHIPBt848       1

#ifdef VxP202
  #define VPROC_PORT      VxP_BASE
#endif

#endif
